Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/HeuristicLab.Problems.Robocode.csproj
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/HeuristicLab.Problems.Robocode.csproj	(revision 9762)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/HeuristicLab.Problems.Robocode.csproj	(revision 9763)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Problems.Robocode</RootNamespace>
-    <AssemblyName>HeuristicLab.Problems.Robocode-1.1</AssemblyName>
+    <AssemblyName>HeuristicLab.Problems.Robocode-3.3</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -92,4 +92,5 @@
   <ItemGroup>
     <Compile Include="BestSolutionAnalyzer.cs" />
+    <None Include="Plugin.cs.frame" />
     <Compile Include="Crossover\RobocodeCrossover.cs" />
     <Compile Include="Crossover\RobocodeMethodCrossover.cs" />
@@ -98,4 +99,5 @@
     <Compile Include="Interpreter.cs" />
     <Compile Include="Problem.cs" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
     <Compile Include="Solution.cs" />
     <Compile Include="SolutionCodeView.cs">
@@ -199,3 +201,19 @@
   </Target>
   -->
+  <PropertyGroup>
+    <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">
+      set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+      set ProjectDir=$(ProjectDir)
+      set SolutionDir=$(SolutionDir)
+      set Outdir=$(Outdir)
+
+      call PreBuildEvent.cmd
+    </PreBuildEvent>
+    <PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
+      export ProjectDir=$(ProjectDir)
+      export SolutionDir=$(SolutionDir)
+
+      $SolutionDir/PreBuildEvent.sh
+    </PreBuildEvent>
+  </PropertyGroup>
 </Project>
Index: anches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Plugin.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Plugin.cs	(revision 9762)
+++ 	(revision )
@@ -1,21 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.Problems.Robocode
-{
-    [Plugin("HeuristicLab.Problems.Robocode", "The Robocode problem for genetic programming.", "1.1")]
-    [PluginFile("HeuristicLab.Problems.Robocode-1.1.dll", PluginFileType.Assembly)]
-    [PluginDependency("HeuristicLab.Data", "3.3")]
-    [PluginDependency("HeuristicLab.Core", "3.3")]
-    [PluginDependency("HeuristicLab.Common", "3.3")]
-    [PluginDependency("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding", "3.4")]
-    [PluginDependency("HeuristicLab.Parameters", "3.3")]
-    [PluginDependency("HeuristicLab.Persistence", "3.3")]
-    public class Plugin : PluginBase
-    {
-    }
-}
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Plugin.cs.frame
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Plugin.cs.frame	(revision 9763)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Plugin.cs.frame	(revision 9763)
@@ -0,0 +1,43 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.Robocode
+{
+    [Plugin("HeuristicLab.Problems.Robocode", "The Robocode problem for genetic programming.", "3.3.7.$WCREV$")]
+    [PluginFile("HeuristicLab.Problems.Robocode-3.3.dll", PluginFileType.Assembly)]
+    [PluginDependency("HeuristicLab.Data", "3.3")]
+    [PluginDependency("HeuristicLab.Core", "3.3")]
+    [PluginDependency("HeuristicLab.Common", "3.3")]
+    [PluginDependency("HeuristicLab.Collections", "3.3")]
+    [PluginDependency("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding", "3.4")]
+    [PluginDependency("HeuristicLab.Parameters", "3.3")]
+    [PluginDependency("HeuristicLab.Persistence", "3.3")]
+    public class HeuristicLabProblemsRobocodePlugin : PluginBase
+    {
+    }
+}
Index: anches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Properties/AssemblyInfo.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Properties/AssemblyInfo.cs	(revision 9762)
+++ 	(revision )
@@ -1,36 +1,0 @@
-﻿using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Problems.Robocode")]
-[assembly: AssemblyDescription("")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab.Problems.Robocode")]
-[assembly: AssemblyCopyright("Copyright ©  2013")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("2c868882-c1a8-4d94-9fdb-9c104891a150")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Build and Revision Numbers 
-// by using the '*' as shown below:
-// [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.1.0.0")]
-[assembly: AssemblyFileVersion("1.1.0.0")]
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Properties/AssemblyInfo.cs.frame	(revision 9763)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/Properties/AssemblyInfo.cs.frame	(revision 9763)
@@ -0,0 +1,58 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Problems.Robocode")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2013 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("2c868882-c1a8-4d94-9fdb-9c104891a150")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.8.$WCREV$")]
+