Index: trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 9764)
+++ trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 9765)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
     public void NPointCrossoverCrossTest() {
@@ -118,5 +118,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void NPointCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -171,5 +171,5 @@
     ///A test for SinglePointCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void NPointCrossoverConstructorTest() {
       NPointCrossover target = new NPointCrossover();
Index: trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9764)
+++ trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9765)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
     public void SinglePointCrossoverCrossTest() {
@@ -120,5 +120,5 @@
     ///A test for SinglePointCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SinglePointCrossoverConstructorTest() {
       SinglePointCrossover target = new SinglePointCrossover();
Index: trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs	(revision 9764)
+++ trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs	(revision 9765)
@@ -82,5 +82,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SinglePositionBitflipManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -100,5 +100,5 @@
     ///A test for SinglePositionBitflipManipulator Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SinglePositionBitflipManipulatorConstructorTest() {
       SinglePositionBitflipManipulator target = new SinglePositionBitflipManipulator();
Index: trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs	(revision 9764)
+++ trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs	(revision 9765)
@@ -83,5 +83,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SomePositionsBitflipManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -101,5 +101,5 @@
     ///A test for SomePositionsBitflipManipulator Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SomePositionsBitflipManipulatorConstructorTest() {
       SomePositionsBitflipManipulator target = new SomePositionsBitflipManipulator();
Index: trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 9764)
+++ trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 9765)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
     public void SinglePointCrossoverCrossTest() {
@@ -120,5 +120,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SinglePointCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -161,5 +161,5 @@
     ///A test for SinglePointCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SinglePointCrossoverConstructorTest() {
       NPointCrossover target = new NPointCrossover();