Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaBetaCrossoverTest.cs	(revision 9768)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void BlendAlphaBetaCrossoverCrossTest() {
@@ -118,5 +118,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void BlendAlphaBetaCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -166,5 +166,5 @@
     ///A test for BlendAlphaBetaCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void BlendAlphaBetaCrossoverConstructorTest() {
       BlendAlphaBetaCrossover target = new BlendAlphaBetaCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/BlendAlphaCrossoverTest.cs	(revision 9768)
@@ -85,5 +85,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void BlendAlphaCrossoverCrossTest() {
@@ -121,5 +121,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void BlendAlphaCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -180,5 +180,5 @@
     ///A test for BlendAlphaCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void BlendAlphaCrossoverConstructorTest() {
       BlendAlphaCrossover target = new BlendAlphaCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9768)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void DiscreteCrossoverCrossTest() {
@@ -108,5 +108,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void DiscreteCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -142,5 +142,5 @@
     ///A test for DiscreteCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void DiscreteCrossoverConstructorTest() {
       DiscreteCrossover target = new DiscreteCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/HeuristicCrossoverTest.cs	(revision 9768)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void HeuristicCrossoverCrossTest() {
@@ -120,5 +120,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void HeuristicCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -151,5 +151,5 @@
     ///A test for HeuristicCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void HeuristicCrossoverConstructorTest() {
       HeuristicCrossover target = new HeuristicCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/LocalCrossoverTest.cs	(revision 9768)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void LocalCrossoverCrossTest() {
@@ -120,5 +120,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void LocalCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -151,5 +151,5 @@
     ///A test for LocalCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void LocalCrossoverConstructorTest() {
       LocalCrossover target = new LocalCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformAllPositionsManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformAllPositionsManipulatorTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformAllPositionsManipulatorTest.cs	(revision 9768)
@@ -83,5 +83,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void MichalewiczNonUniformAllPositionsManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -123,5 +123,5 @@
     ///A test for MichalewiczNonUniformAllPositionsManipulator Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void MichalewiczNonUniformAllPositionsManipulatorConstructorTest() {
       MichalewiczNonUniformAllPositionsManipulator target = new MichalewiczNonUniformAllPositionsManipulator();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformOnePositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformOnePositionManipulatorTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/MichalewiczNonUniformOnePositionManipulatorTest.cs	(revision 9768)
@@ -83,5 +83,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void MichalewiczNonUniformOnePositionManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -125,5 +125,5 @@
     ///A test for MichalewiczNonUniformOnePositionManipulator Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void MichalewiczNonUniformOnePositionManipulatorConstructorTest() {
       MichalewiczNonUniformOnePositionManipulator target = new MichalewiczNonUniformOnePositionManipulator();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialAllPositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialAllPositionManipulatorTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialAllPositionManipulatorTest.cs	(revision 9768)
@@ -83,5 +83,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void PolynomialAllPositionManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -116,5 +116,5 @@
     ///A test for PolynomialAllPositionManipulator Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void PolynomialAllPositionManipulatorConstructorTest() {
       PolynomialAllPositionManipulator target = new PolynomialAllPositionManipulator();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialOnePositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialOnePositionManipulatorTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/PolynomialOnePositionManipulatorTest.cs	(revision 9768)
@@ -83,5 +83,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void PolynomialOnePositionManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -119,5 +119,5 @@
     ///A test for PolynomialOnePositionManipulator Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void PolynomialOnePositionManipulatorConstructorTest() {
       PolynomialOnePositionManipulator target = new PolynomialOnePositionManipulator();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/RandomConvexCrossoverTest.cs	(revision 9768)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void RandomConvexCrossoverCrossTest() {
@@ -120,5 +120,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void RandomConvexCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -151,5 +151,5 @@
     ///A test for RandomConvexCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void RandomConvexCrossoverConstructorTest() {
       RandomConvexCrossover target = new RandomConvexCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SimulatedBinaryCrossoverTest.cs	(revision 9768)
@@ -85,5 +85,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void SimulatedBinaryCrossoverCrossTest() {
@@ -119,5 +119,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SimulatedBinaryCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -165,5 +165,5 @@
     ///A test for SimulatedBinaryCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SimulatedBinaryCrossoverConstructorTest() {
       SimulatedBinaryCrossover target = new SimulatedBinaryCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9768)
@@ -84,5 +84,5 @@
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     [DeploymentItem("HeuristicLab.Encodings.RealVectorEncoding-3.3.dll")]
     public void SinglePointCrossoverCrossTest() {
@@ -132,5 +132,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SinglePointCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -172,5 +172,5 @@
     ///A test for SinglePointCrossover Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void SinglePointCrossoverConstructorTest() {
       SinglePointCrossover target = new SinglePointCrossover();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9767)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.RealVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9768)
@@ -83,5 +83,5 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void UniformOnePositionManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -102,5 +102,5 @@
     ///A test for UniformOnePositionManipulator Constructor
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
     public void UniformOnePositionManipulatorConstructorTest() {
       UniformOnePositionManipulator target = new UniformOnePositionManipulator();