Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs	(revision 9777)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/StorableAttributeTests.cs	(revision 9778)
@@ -68,44 +68,3 @@
     }
   }
-
-  /*  [TestClass]
-    public class AttributeTest {
-
-      [TestMethod]
-      public void SimpleStorableAttributeTest() {
-        DemoClass t = new DemoClass();
-        IEnumerable<DataMemberAccessor> accessorList = StorableAttribute.GetStorableAccessors(t);
-        Dictionary<string, DataMemberAccessor> accessors = new Dictionary<string, DataMemberAccessor>();
-        foreach (var a in accessorList)
-          accessors.Add(a.Name, a);
-        Assert.IsTrue(accessors.ContainsKey("TestProperty"));
-        Assert.IsTrue(accessors.ContainsKey("x"));
-        Assert.IsFalse(accessors.ContainsKey("y"));
-        object o = new object();
-        t.o = o;
-        Assert.AreSame(accessors["TestProperty"].Get(), o);
-        t.x = 12;
-        Assert.AreEqual(accessors["x"].Get(), 12);
-        t.y = 312890;
-        accessors["TestProperty"].Set(null);
-        Assert.IsNull(t.o);
-        accessors["x"].Set(123);
-        Assert.AreEqual(t.x, 123);
-      }
-
-      [TestMethod]
-      public void TestInheritance() {
-        New n = new New();
-        var accessors = StorableAttribute.GetStorableAccessors(n);
-        var accessDict = new Dictionary<string, DataMemberAccessor>();
-        foreach (var accessor in accessors) // assert uniqueness
-          accessDict.Add(accessor.Name, accessor);
-        Assert.IsTrue(accessDict.ContainsKey(typeof(New).FullName + ".Name"));
-        Assert.IsTrue(accessDict.ContainsKey(typeof(Override).FullName + ".Name"));
-        Assert.AreEqual("New", accessDict[typeof(New).FullName + ".Name"].Get());
-        Assert.AreEqual("Override", accessDict[typeof(Override).FullName + ".Name"].Get());
-      }
-
-    }*/
-
 }
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs	(revision 9777)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Persistence-3.3/UseCases.cs	(revision 9778)
@@ -286,4 +286,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void ComplexStorable() {
       Root r = InitializeComplexStorable();
@@ -294,4 +296,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void ComplexEasyStorable() {
       Root r = InitializeComplexStorable();
@@ -383,4 +387,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void SelfReferences() {
       C c = new C();
@@ -408,4 +414,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void ArrayCreation() {
       ArrayList[] arrayListArray = new ArrayList[4];
@@ -435,4 +443,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void CustomSerializationProperty() {
       Manager m = new Manager();
@@ -449,4 +459,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void Primitives() {
       PrimitivesTest sdt = new PrimitivesTest();
@@ -459,4 +471,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void MultiDimensionalArray() {
       string[,] mDimString = new string[,] {
@@ -487,4 +501,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void NestedTypeTest() {
       NestedType t = new NestedType();
@@ -499,4 +515,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void SimpleArray() {
       string[] strings = { "ora", "et", "labora" };
@@ -509,4 +527,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void PrimitiveRoot() {
       XmlGenerator.Serialize(12.3f, tempFile);
@@ -561,4 +581,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void Number2StringDecomposer() {
       NumberTest sdt = new NumberTest();
@@ -577,4 +599,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void Enums() {
       EnumTest et = new EnumTest();
@@ -590,4 +614,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestAliasingWithOverriddenEquals() {
       List<IntWrapper> ints = new List<IntWrapper>();
@@ -605,4 +631,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void NonDefaultConstructorTest() {
       NonDefaultConstructorClass c = new NonDefaultConstructorClass(1);
@@ -610,10 +638,11 @@
         XmlGenerator.Serialize(c, tempFile);
         Assert.Fail("Exception not thrown");
-      }
-      catch (PersistenceException) {
-      }
-    }
-
-    [TestMethod]
+      } catch (PersistenceException) {
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestSavingException() {
       List<int> list = new List<int> { 1, 2, 3 };
@@ -623,6 +652,5 @@
         XmlGenerator.Serialize(s, tempFile);
         Assert.Fail("Exception expected");
-      }
-      catch (PersistenceException) { }
+      } catch (PersistenceException) { }
       List<int> newList = (List<int>)XmlParser.Deserialize(tempFile);
       Assert.AreEqual(list[0], newList[0]);
@@ -631,4 +659,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestTypeStringConversion() {
       string name = typeof(List<int>[]).AssemblyQualifiedName;
@@ -641,4 +671,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestHexadecimalPublicKeyToken() {
       string name = "TestClass, TestAssembly, Version=1.2.3.4, PublicKey=1234abc";
@@ -649,4 +681,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestMultipleFailure() {
       List<NonSerializable> l = new List<NonSerializable>();
@@ -663,6 +697,5 @@
         }
         Assert.Fail("Exception expected");
-      }
-      catch (PersistenceException px) {
+      } catch (PersistenceException px) {
         Assert.AreEqual(3, px.Data.Count);
       }
@@ -670,4 +703,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestAssemblyVersionCheck() {
       IntWrapper i = new IntWrapper(1);
@@ -692,6 +727,5 @@
         d = new Deserializer(XmlParser.ParseTypeCache(new StringReader(newTypeString)));
         Assert.Fail("Exception expected");
-      }
-      catch (PersistenceException x) {
+      } catch (PersistenceException x) {
         Assert.IsTrue(x.Message.Contains("incompatible"));
       }
@@ -702,6 +736,5 @@
         d = new Deserializer(XmlParser.ParseTypeCache(new StringReader(newTypeString)));
         Assert.Fail("Exception expected");
-      }
-      catch (PersistenceException x) {
+      } catch (PersistenceException x) {
         Assert.IsTrue(x.Message.Contains("newer"));
       }
@@ -709,4 +742,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void InheritanceTest() {
       New n = new New();
@@ -736,4 +771,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void InstantiateParentChainReference() {
       GrandParent gp = new GrandParent();
@@ -758,4 +795,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void StructTest() {
       TestStruct s = new TestStruct(10);
@@ -766,4 +805,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void PointTest() {
       Point p = new Point(12, 34);
@@ -774,4 +815,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void NullableValueTypes() {
       double?[] d = new double?[] { null, 1, 2, 3 };
@@ -785,4 +828,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void BitmapTest() {
       Icon icon = System.Drawing.SystemIcons.Hand;
@@ -816,4 +861,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void HookTest() {
       PersistenceHooks hookTest = new PersistenceHooks();
@@ -846,4 +893,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestCustomConstructor() {
       CustomConstructor cc = new CustomConstructor();
@@ -864,4 +913,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestConstructorExceptionUnwrapping() {
       ExplodingDefaultConstructor x = new ExplodingDefaultConstructor("password");
@@ -870,6 +921,5 @@
         ExplodingDefaultConstructor newX = (ExplodingDefaultConstructor)XmlParser.Deserialize(tempFile);
         Assert.Fail("Exception expected");
-      }
-      catch (PersistenceException pe) {
+      } catch (PersistenceException pe) {
         Assert.AreEqual(pe.InnerException.Message, "this constructor will always fail");
       }
@@ -877,4 +927,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestRejectionJustifications() {
       NonSerializable ns = new NonSerializable();
@@ -882,6 +934,5 @@
         XmlGenerator.Serialize(ns, tempFile);
         Assert.Fail("PersistenceException expected");
-      }
-      catch (PersistenceException x) {
+      } catch (PersistenceException x) {
         Assert.IsTrue(x.Message.Contains(new StorableSerializer().JustifyRejection(typeof(NonSerializable))));
       }
@@ -889,4 +940,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestStreaming() {
       using (MemoryStream stream = new MemoryStream()) {
@@ -923,4 +976,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestLinkInheritance() {
       HookInheritanceTestDerivedClass c = new HookInheritanceTestDerivedClass();
@@ -950,4 +1005,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestStorableClassDiscoveryAllFields() {
       AllFieldsStorable afs = new AllFieldsStorable(false);
@@ -979,4 +1036,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestStorableClassDiscoveryAllProperties() {
       AllPropertiesStorable afs = new AllPropertiesStorable(false);
@@ -1009,4 +1068,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestStorableClassDiscoveryAllFieldsAndAllProperties() {
       AllFieldsAndAllPropertiesStorable afs = new AllFieldsAndAllPropertiesStorable(false);
@@ -1038,4 +1099,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestStorableClassDiscoveryMarkedOnly() {
       MarkedOnlyStorable afs = new MarkedOnlyStorable(false);
@@ -1049,4 +1112,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestLineEndings() {
       List<string> lineBreaks = new List<string> { "\r\n", "\n", "\r", "\n\r", Environment.NewLine };
@@ -1063,4 +1128,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestSpecialNumbers() {
       List<double> specials = new List<double>() { 1.0 / 0, -1.0 / 0, 0.0 / 0 };
@@ -1076,4 +1143,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestStringSplit() {
       string s = "1.2;2.3;3.4;;;4.9";
@@ -1086,4 +1155,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "medium")]
     public void TestCompactNumberArraySerializer() {
       System.Random r = new System.Random();
@@ -1118,4 +1189,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestHashSetSerializer() {
       var hashSets = new List<HashSet<int>>() {
@@ -1136,4 +1209,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestConcreteDictionarySerializer() {
       var dictionaries = new List<Dictionary<int, int>>() {
@@ -1174,12 +1249,12 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestReadOnlyFail() {
       try {
         XmlGenerator.Serialize(new ReadOnlyFail(), tempFile);
         Assert.Fail("Exception expected");
-      }
-      catch (PersistenceException) {
-      }
-      catch {
+      } catch (PersistenceException) {
+      } catch {
         Assert.Fail("PersistenceException expected");
       }
@@ -1196,12 +1271,12 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestWriteOnlyFail() {
       try {
         XmlGenerator.Serialize(new WriteOnlyFail(), tempFile);
         Assert.Fail("Exception expected");
-      }
-      catch (PersistenceException) {
-      }
-      catch {
+      } catch (PersistenceException) {
+      } catch {
         Assert.Fail("PersistenceException expected.");
       }
@@ -1223,4 +1298,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestOneWaySerialization() {
       var test = new OneWayTest();
@@ -1243,4 +1320,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestTypeCacheExport() {
       var test = new List<List<int>>();
@@ -1258,4 +1337,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TupleTest() {
       var t1 = Tuple.Create(1);
@@ -1270,4 +1351,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void FontTest() {
       List<Font> fonts = new List<Font>() {
@@ -1286,4 +1369,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "medium")]
     public void ConcurrencyTest() {
       int n = 20;
@@ -1302,4 +1387,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "medium")]
     public void ConcurrentBitmapTest() {
       Bitmap b = new Bitmap(300, 300);
@@ -1323,10 +1410,12 @@
     }
 
-    public class G<T,T2> {
-      public class S {}
-      public class S2<T3,T4> {}
-    }
-
-    [TestMethod]
+    public class G<T, T2> {
+      public class S { }
+      public class S2<T3, T4> { }
+    }
+
+    [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestInternalClassOfGeneric() {
       var s = new G<int, char>.S();
@@ -1340,4 +1429,6 @@
 
     [TestMethod]
+    [TestCategory("Persistence")]
+    [TestProperty("Time", "short")]
     public void TestInternalClassOfGeneric2() {
       var s = new G<int, float>.S2<int, char>();