Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/OnlineCalculatorPerformanceTest.cs	(revision 9785)
@@ -23,5 +23,4 @@
 using System.Diagnostics;
 using System.Linq;
-using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -35,5 +34,4 @@
 
     private TestContext testContextInstance;
-
     /// <summary>
     ///Gets or sets the test context which provides
@@ -47,12 +45,18 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "medium")]
     public void OnlineAccuracyCalculatorPerformanceTest() {
       TestCalculatorPerfomance(OnlineAccuracyCalculator.Calculate);
     }
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "medium")]
     public void OnlineCovarianceCalculatorPerformanceTest() {
       TestCalculatorPerfomance(OnlineCovarianceCalculator.Calculate);
     }
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "medium")]
     public void OnlineMeanAbsolutePercentageErrorCalculatorPerformanceTest() {
       TestCalculatorPerfomance(OnlineMeanAbsolutePercentageErrorCalculator.Calculate);
@@ -60,12 +64,18 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "medium")]
     public void OnlineMeanSquaredErrorCalculatorPerformanceTest() {
       TestCalculatorPerfomance(OnlineMeanSquaredErrorCalculator.Calculate);
     }
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "medium")]
     public void OnlineNormalizedMeanSquaredErrorCalculatorPerformanceTest() {
       TestCalculatorPerfomance(OnlineNormalizedMeanSquaredErrorCalculator.Calculate);
     }
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "medium")]
     public void OnlinePearsonsRSquaredCalculatorPerformanceTest() {
       TestCalculatorPerfomance(OnlinePearsonsRSquaredCalculator.Calculate);
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/StatisticCalculatorsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/StatisticCalculatorsTest.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/StatisticCalculatorsTest.cs	(revision 9785)
@@ -23,5 +23,4 @@
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Problems.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 namespace HeuristicLab.Problems.DataAnalysis.Tests {
@@ -54,4 +53,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void CalculateMeanAndVarianceTest() {
       System.Random random = new System.Random(31415);
@@ -85,4 +86,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void CalculatePearsonsRSquaredTest() {
       System.Random random = new System.Random(31415);
@@ -114,5 +117,8 @@
       }
     }
-    [TestMethod]
+
+    [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void CalculatePearsonsRSquaredOfConstantTest() {
       System.Random random = new System.Random(31415);
@@ -141,4 +147,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void CalculateHoeffdingsDTest() {
       OnlineCalculatorError error;
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/ThresholdCalculatorsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/ThresholdCalculatorsTest.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis-3.4/ThresholdCalculatorsTest.cs	(revision 9785)
@@ -20,6 +20,6 @@
 #endregion
 
-using HeuristicLab.Problems.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
+
 namespace HeuristicLab.Problems.DataAnalysis.Tests {
 
@@ -27,4 +27,6 @@
   public class ThresholdCalculatorsTest {
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void NormalDistributionCutPointsThresholdCalculatorTest() {
 
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionCrossoverTest.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionCrossoverTest.cs	(revision 9785)
@@ -27,5 +27,4 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Problems.DataAnalysis.Symbolic.Regression;
 using HeuristicLab.Random;
@@ -49,4 +48,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionSemanticSimilarityCrossoverPerformanceTest() {
       var problem = new SymbolicRegressionSingleObjectiveProblem();
@@ -56,4 +57,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionProbabilisticFunctionalCrossoverPerformanceTest() {
       var problem = new SymbolicRegressionSingleObjectiveProblem();
@@ -63,4 +66,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionDeterministicBestCrossoverPerformanceTest() {
       var problem = new SymbolicRegressionSingleObjectiveProblem();
@@ -70,4 +75,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionContextAwareCrossoverPerformanceTest() {
       var problem = new SymbolicRegressionSingleObjectiveProblem();
@@ -77,4 +84,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionDepthConstrainedCrossoverPerformanceTest() {
       var problem = new SymbolicRegressionSingleObjectiveProblem();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9785)
@@ -25,5 +25,4 @@
 using System.Linq;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -52,12 +51,20 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionTreeInterpreterTypeCoherentGrammarPerformanceTest() {
       TypeCoherentGrammarPerformanceTest(new SymbolicDataAnalysisExpressionTreeInterpreter(), 12.5e6);
     }
-    [TestMethod]
+
+    [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionTreeInterpreterFullGrammarPerformanceTest() {
       FullGrammarPerformanceTest(new SymbolicDataAnalysisExpressionTreeInterpreter(), 12.5e6);
     }
-    [TestMethod]
+
+    [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionTreeInterpreterArithmeticGrammarPerformanceTest() {
       ArithmeticGrammarPerformanceTest(new SymbolicDataAnalysisExpressionTreeInterpreter(), 12.5e6);
@@ -65,11 +72,19 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionTreeILEmittingInterpreterTypeCoherentGrammarPerformanceTest() {
       TypeCoherentGrammarPerformanceTest(new SymbolicDataAnalysisExpressionTreeILEmittingInterpreter(), 7.5e6);
     }
-    [TestMethod]
+
+    [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicDataAnalysisExpressionTreeILEmittingInterpreterFullGrammarPerformanceTest() {
       FullGrammarPerformanceTest(new SymbolicDataAnalysisExpressionTreeILEmittingInterpreter(), 7.5e6);
     }
+
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     [TestMethod]
     public void SymbolicDataAnalysisExpressionTreeILEmittingInterpreterArithmeticGrammarPerformanceTest() {
@@ -135,4 +150,6 @@
     ///</summary>
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void SymbolicDataAnalysisExpressionTreeInterpreterEvaluateTest() {
       Dataset ds = new Dataset(new string[] { "Y", "A", "B" }, new double[,] {
@@ -158,4 +175,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void SymbolicDataAnalysisExpressionILEmittingTreeInterpreterEvaluateTest() {
       Dataset ds = new Dataset(new string[] { "Y", "A", "B" }, new double[,] {
@@ -411,6 +430,5 @@
           try {
             Evaluate(interpreter, ds, "(psi " + x + ")", 0, alglib.psi(x));
-          }
-          catch (alglib.alglibexception) { // ignore cases where alglib throws an exception
+          } catch (alglib.alglibexception) { // ignore cases where alglib throws an exception
           }
         };
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeSimplifierTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeSimplifierTest.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicDataAnalysisExpressionTreeSimplifierTest.cs	(revision 9785)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
@@ -30,5 +29,8 @@
   [TestClass()]
   public class SymbolicDataAnalysisExpressionTreeSimplifierTest {
+
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void SimplifierAxiomsTest() {
       SymbolicExpressionImporter importer = new SymbolicExpressionImporter();
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicExpressionImporter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicExpressionImporter.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/SymbolicExpressionImporter.cs	(revision 9785)
@@ -25,5 +25,4 @@
 using System.Linq;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
@@ -86,7 +85,4 @@
     StartSymbol startSymbol = new StartSymbol();
 
-    public SymbolicExpressionImporter() {
-    }
-
     internal ISymbolicExpressionTree Import(string str) {
       str = str.Replace("(", " ( ").Replace(")", " ) ");
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Util.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Util.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic-3.4/Util.cs	(revision 9785)
@@ -25,5 +25,4 @@
 using System.Linq;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Random;
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Tests {
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/SymbolicDataAnalysisExpressionTreeInterpreterTest.cs	(revision 9785)
@@ -25,5 +25,4 @@
 using System.Linq;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic.Tests;
 using HeuristicLab.Random;
@@ -36,28 +35,22 @@
     private const int Rows = 100;
     private const int Columns = 50;
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
 
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicTimeSeriesPrognosisTreeInterpreterTypeCoherentGrammarPerformanceTest() {
       TypeCoherentGrammarPerformanceTest(new SymbolicTimeSeriesPrognosisExpressionTreeInterpreter("y"), 12.5e6);
     }
+
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicTimeSeriesPrognosisTreeInterpreterFullGrammarPerformanceTest() {
       FullGrammarPerformanceTest(new SymbolicTimeSeriesPrognosisExpressionTreeInterpreter("y"), 12.5e6);
     }
+
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "long")]
     public void SymbolicTimeSeriesPrognosisTreeInterpreterArithmeticGrammarPerformanceTest() {
       ArithmeticGrammarPerformanceTest(new SymbolicTimeSeriesPrognosisExpressionTreeInterpreter("y"), 12.5e6);
@@ -122,4 +115,6 @@
     ///</summary>
     [TestMethod]
+    [TestCategory("Problems.DataAnalysis")]
+    [TestProperty("Time", "short")]
     public void SymbolicDataAnalysisExpressionTreeInterpreterEvaluateTest() {
       Dataset ds = new Dataset(new string[] { "Y", "A", "B" }, new double[,] {
@@ -144,26 +139,4 @@
     }
 
-    //[TestMethod]
-    //public void SymbolicDataAnalysisExpressionILEmittingTreeInterpreterEvaluateTest() {
-    //  Dataset ds = new Dataset(new string[] { "Y", "A", "B" }, new double[,] {
-    //    { 1.0, 1.0, 1.0 },
-    //    { 2.0, 2.0, 2.0 },
-    //    { 3.0, 1.0, 2.0 },
-    //    { 4.0, 1.0, 1.0 },
-    //    { 5.0, 2.0, 2.0 },
-    //    { 6.0, 1.0, 2.0 },
-    //    { 7.0, 1.0, 1.0 },
-    //    { 8.0, 2.0, 2.0 },
-    //    { 9.0, 1.0, 2.0 },
-    //    { 10.0, 1.0, 1.0 },
-    //    { 11.0, 2.0, 2.0 },
-    //    { 12.0, 1.0, 2.0 }
-    //  });
-
-    //  var interpreter = new SymbolicDataAnalysisExpressionTreeILEmittingInterpreter();
-    //  EvaluateTerminals(interpreter, ds);
-    //  EvaluateOperations(interpreter, ds);
-    //}
-
     private void EvaluateTerminals(ISymbolicDataAnalysisExpressionTreeInterpreter interpreter, Dataset ds) {
       // constants
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/Util.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/Util.cs	(revision 9784)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis-3.4/Util.cs	(revision 9785)
@@ -26,4 +26,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Random;
+
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis.Tests {
   internal class Util {