Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/AllArchitectureAlteringOperatorsTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/AllArchitectureAlteringOperatorsTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/AllArchitectureAlteringOperatorsTest.cs	(revision 9803)
@@ -34,5 +34,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentCreaterTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentCreaterTest.cs	(revision 9803)
@@ -33,5 +33,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDeleterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDeleterTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDeleterTest.cs	(revision 9803)
@@ -33,5 +33,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDuplicaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDuplicaterTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ArgumentDuplicaterTest.cs	(revision 9803)
@@ -33,5 +33,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ChangeNodeTypeManipulationTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ChangeNodeTypeManipulationTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ChangeNodeTypeManipulationTest.cs	(revision 9803)
@@ -32,5 +32,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/FullTreeCreatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/FullTreeCreatorTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/FullTreeCreatorTest.cs	(revision 9803)
@@ -33,6 +33,4 @@
     private const int MAX_TREE_DEPTH = 9;
     private const int MAX_TREE_LENGTH = 256;
-    private TestContext testContextInstance;
-
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/GrowTreeCreatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/GrowTreeCreatorTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/GrowTreeCreatorTest.cs	(revision 9803)
@@ -33,5 +33,4 @@
     private const int MAX_TREE_DEPTH = 10;
     private const int MAX_TREE_LENGTH = 50;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ProbabilisticTreeCreaterTest.cs	(revision 9803)
@@ -33,5 +33,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod()]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ReplaceBranchManipulationTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ReplaceBranchManipulationTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/ReplaceBranchManipulationTest.cs	(revision 9803)
@@ -32,5 +32,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineCreaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineCreaterTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineCreaterTest.cs	(revision 9803)
@@ -31,5 +31,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDeleterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDeleterTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDeleterTest.cs	(revision 9803)
@@ -32,5 +32,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDuplicaterTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDuplicaterTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubroutineDuplicaterTest.cs	(revision 9803)
@@ -32,5 +32,4 @@
     private const int MAX_TREE_LENGTH = 100;
     private const int MAX_TREE_DEPTH = 10;
-    private TestContext testContextInstance;
 
     [TestMethod]
Index: /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubtreeCrossoverTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubtreeCrossoverTest.cs	(revision 9802)
+++ /trunk/sources/HeuristicLab.Tests/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4/SubtreeCrossoverTest.cs	(revision 9803)
@@ -30,5 +30,4 @@
   public class SubtreeCrossoverTest {
     private const int POPULATION_SIZE = 1000;
-    private TestContext testContextInstance;
 
     [TestMethod]